#ifndef _IMPORT_BASE_HPP_
#define _IMPORT_BASE_HPP_

#include <string>
#include <fstream>

#include "system/connect.hpp"
#include "system/parts.hpp"

class ImportBase
{
protected:
    Parts *prts;
    virtual void parse(std::fstream lines) = 0;
public:
    ImportBase()
    {
        prts = new Parts();
    }
    void load(std::string file_name) {
        std::ifstream file(file_name);

    };
    Parts *parts()
    {
        return prts;
    }
};

#endif // _IMPORT_BASE_HPP_